Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226054 - Merge Review: libuser
Summary: Merge Review: libuser
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: F9MergeReviewTarget
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:28 UTC by Nobody's working on this, feel free to take it
Modified: 2009-09-21 20:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-11 05:33:00 UTC
tibbs: fedora-review+


Attachments (Terms of Use)
Patch to split off libuser-python (deleted)
2007-06-22 13:08 UTC, Yanko Kaneti
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 19:28:27 UTC
Fedora Merge Review: libuser

http://cvs.fedora.redhat.com/viewcvs/devel/libuser/
Initial Owner: mitr@redhat.com

Comment 1 Yanko Kaneti 2007-06-22 13:08:00 UTC
Created attachment 157616 [details]
Patch to split off libuser-python

Comment 2 Miloslav Trmač 2007-08-08 15:40:24 UTC
Patch applied, thanks!

Comment 3 Yanko Kaneti 2007-08-08 20:52:52 UTC
Just a notice that the python split affects the Requires for at least anaconda,
firstboot, system-config-rootpassword, system-config-samba and system-config-users.

Comment 4 Miloslav Trmač 2007-08-08 21:05:46 UTC
Yes, I have filed bugs against all of the packages.

Comment 5 Jason Tibbitts 2008-01-07 21:27:10 UTC
As discussed on IRC, there's no upstream for this package.  So the various
rpmlint complaints like:
  libuser.x86_64: W: no-url-tag
are OK.  Following http://fedoraproject.org/wiki/Packaging/SourceURL this
needs a comment in the spec, which I'll commit shortly.

This shows up when you run rpmlint on the installed package:
  libuser.x86_64: W: unused-direct-shlib-dependency 
   /usr/lib64/libuser.so.1.1.10 /lib64/libdl.so.2
I don't think it's a big issue but perhaps you know what causes it.  It just
looks like libuser.so is linked against libdl.so but doesn't actually call any
symbols from it.

I've seen the "WITH_SELINUX" stuff in other formerly core packages and I have
to say I'm not quite sure what utility it has these days where everything is
always built with selinux support.

I think the bit at the end of %install really should be in a %check section
instead, but that's not the kind of change I want to commit without consulting
you.

This file in the -devel package looks a bit odd:
  /usr/include/libuser/default.-c
Any idea if that's a typo?

Checklist:
* No upstream source to compare against.
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:


  libuser-0.56.6-4.x86_64.rpm
   config(libuser) = 0.56.6-4
   libuser.so.1()(64bit)
   libuser_files.so()(64bit)
   libuser_ldap.so()(64bit)
   libuser_shadow.so()(64bit)
   libuser = 0.56.6-4
  =
   /sbin/ldconfig
   config(libuser) = 0.56.6-4
   libglib-2.0.so.0()(64bit)
   libgmodule-2.0.so.0()(64bit)
   libgobject-2.0.so.0()(64bit)
   libldap-2.4.so.2()(64bit)
   libpam.so.0()(64bit)
   libpam.so.0(LIBPAM_1.0)(64bit)
   libpam_misc.so.0()(64bit)
   libpam_misc.so.0(LIBPAM_MISC_1.0)(64bit)
   libpopt.so.0()(64bit)
   libpopt.so.0(LIBPOPT_0)(64bit)
   libselinux.so.1()(64bit)
   libuser.so.1()(64bit)
   
  libuser-devel-0.56.6-4.x86_64.rpm
   libuser-devel = 0.56.6-4
  =
   glib2-devel
   libuser = 0.56.6-4
   libuser.so.1()(64bit)
   
  libuser-python-0.56.6-4.x86_64.rpm
   libusermodule.so()(64bit)
   libuser-python = 0.56.6-4
  =
   libglib-2.0.so.0()(64bit)
   libgobject-2.0.so.0()(64bit)
   libpam.so.0()(64bit)
   libpam.so.0(LIBPAM_1.0)(64bit)
   libpam_misc.so.0()(64bit)
   libpam_misc.so.0(LIBPAM_MISC_1.0)(64bit)
   libselinux.so.1()(64bit)
   libuser = 0.56.6-4
   libuser.so.1()(64bit)
   python(abi) = 2.5

* ldconfig called properly
* unversioned .so files are in the -devel package.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets look OK (ldconfig)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel package and are in a subdirectory to avoid
   conflicts.
* pkgconfig file is in the -devel package.
* no static libraries.
* no libtool .la files.

Comment 6 Miloslav Trmač 2008-01-08 13:00:47 UTC
Thanks for the review!

(In reply to comment #5)
> This shows up when you run rpmlint on the installed package:
>   libuser.x86_64: W: unused-direct-shlib-dependency 
>    /usr/lib64/libuser.so.1.1.10 /lib64/libdl.so.2
> I don't think it's a big issue but perhaps you know what causes it.  It just
> looks like libuser.so is linked against libdl.so but doesn't actually call any
> symbols from it.
The -ldl is added by libgmodule's pkgconfig files.  I'm not happy about it but I
don't think this should be hacked around in libuser.
 
> I've seen the "WITH_SELINUX" stuff in other formerly core packages and I have
> to say I'm not quite sure what utility it has these days where everything is
> always built with selinux support.
Yes, it only encourages bug reports when !WITH_SELINUX breaks.  I'll remove it.

> I think the bit at the end of %install really should be in a %check section
> instead, but that's not the kind of change I want to commit without consulting
> you.
Probably, I'll try that.

> This file in the -devel package looks a bit odd:
>   /usr/include/libuser/default.-c
> Any idea if that's a typo?
That's not a typo.  I should really get rid of this file...


Comment 7 Jason Tibbitts 2008-01-09 00:27:23 UTC
I updated my CVS tree but don't see any updates; please do let me know when you
commit your changes.

Comment 8 Miloslav Trmač 2008-01-09 16:26:24 UTC
Available now; or get libuser-0.56.7-1 from rawhide.

Comment 9 Jason Tibbitts 2008-01-11 05:33:00 UTC
Looks quite clean now.  I'd say we're done.

APPROVED


Note You need to log in before you can comment on or make changes to this bug.